using IRaCIS.Application.Contracts;
using System;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface IExchangeRateService
    {
        Task<IResponseOutput> AddOrUpdateExchangeRate(ExchangeRateCommand model);
        Task<decimal> GetExchangeRateByMonth(string month);
        Task<PageOutput<ExchangeRateCommand>> GetExchangeRateList(ExchangeRateQueryDTO queryParam);

        Task<IResponseOutput> DeleteExchangeRate(Guid id);
    }
}
